#! /bin/bash
 
# 设置警告阈值（单位：MB）
warn_threshold=10 # 10GB
 
# 获取根文件系统的剩余空间（以MB为单位）
available_space=$(df -h / | grep -v Filesystem | awk '{print $4}' | sed 's/M//')
# 将空间大小转换为MB
available_space_mb=${available_space%.*}
available_space_mb=${available_space_mb%G}
# echo $available_space_mb
# echo $warn_threshold
# 检查剩余空间是否低于阈值
if [ $available_space_mb -lt $warn_threshold ]; then
    # echo "警告：剩余空间不足 ${warn_threshold} GB。"
	echo -1
	exit ;
fi

# 调用free命令并通过grep和awk过滤出内存总量
total_memory=$(free -m | grep 'Mem:' | awk '{print $2}')
# 使用bc来转换为小数并四舍五入到两位小数
total_memory=$(echo "$total_memory" | bc -l | xargs printf "%.1f")
# echo "内存总量：${total_memory}MB"

aimodel_first=3584.0 #3.5G
aimodel_second=7680.0 #7.5G
aimodel_third=15667.2 #15.3G

if [ `echo "$total_memory >= $aimodel_first" | bc` -eq 1 ]  &&  [ `echo "$total_memory <= $aimodel_second" | bc` -eq 1 ];then
	echo 1
elif [ `echo "$total_memory >= $aimodel_second" | bc` -eq 1 ]  &&  [ `echo "$total_memory <= $aimodel_third" | bc` -eq 1 ];then
	echo 2
elif [ `echo "$total_memory >= $aimodel_third" | bc` -eq 1 ] ;then
	echo 3
else 
	echo 0
fi